<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLogsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('logs', function(Blueprint $table)
		{
			$table->increments('id');
            $table->integer('employee_id')->references('id')->on('employees')->onDelete('cascade');
            $table->integer('guardian_id')->references('id')->on('guardians')->onDelete('cascade');
            $table->boolean('in_out');
            $table->dateTime('date_log');
			$table->timestamps();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('logs');
	}

}
